std::random_device::operator()(3)

NAME
std::random_device::operator() - std::random_device::operator()

Synopsis
   result_type operator()(); (since C++11)
   Generates a non-deterministic uniformly-distributed random value.

Parameters
   (none)

Return value
   A random number uniformly distributed in [min(), max()].

Exceptions
   Throws an implementation-defined exception derived from std::exception if a random
   number could not be generated.

See also
   min gets the smallest possible value in the output range
   [static] (C++11) (public static member function)
   max gets the largest possible value in the output range
   [static] (C++11) (public static member function)